<div>
    {__("vtbpayments_notify_url_notice")}
</div>
<hr>

<div class="control-group">
    <label class="control-label" for="vtbpayments_client_id">{__("vtbpayments_client_id")}:</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][client_id]" id="vtbpayments_client_id" value="{$processor_params.client_id}" size="120">
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="vtbpayments_client_secret">{__("vtbpayments_client_secret")}:</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][client_secret]" id="vtbpayments_client_secret" value="{$processor_params.client_secret}" size="120">
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="vtbpayments_client_merchant">{__("vtbpayments_client_merchant")}:</label>
    <div class="controls">
        <input type="text" name="payment_data[processor_params][client_merchant]" id="vtbpayments_client_merchant" value="{$processor_params.client_merchant}" size="120">
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="vtbpayments_client_merchant">{__("vtbpayments_workmode_title")}:</label>
    <div class="controls">
        <label for="vtbpayments_workmode_off">
            <input type="radio" name="payment_data[processor_params][workmode]" id="vtbpayments_workmode_off" value="0" {if !$processor_params.workmode}checked{/if}> Выкл.
        </label>
        <label for="vtbpayments_workmode_on">
            <input type="radio" name="payment_data[processor_params][workmode]" id="vtbpayments_workmode_on" value="1" {if $processor_params.workmode}checked{/if}> Вкл.
        </label>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="vtbpayments_language">{__("vtbpayments_language")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][language]" id="vtbpayments_language">
            <option value="ru-RU" {if $processor_params.language == "ru"}selected="selected"{/if}>Русский (MSK)</option>
            <option value="en-US" {if $processor_params.language == "en"}selected="selected"{/if}>Английский (CET)</option>
{*            <option value="lv" {if $processor_params.language == "lv"}selected="selected"{/if}>Латышский (CET)</option>*}
{*            <option value="az" {if $processor_params.language == "az"}selected="selected"{/if}>Азербайджанский (AZT)</option>*}
{*            <option value="kk" {if $processor_params.language == "kk"}selected="selected"{/if}>Русский (ALMT)</option>*}
{*            <option value="kk-KZ" {if $processor_params.language == "kk-KZ"}selected="selected"{/if}>Казахский (ALMT)</option>*}
{*            <option value="uk" {if $processor_params.language == "uk"}selected="selected"{/if}>Украинский (EET)</option>*}
{*            <option value="pl" {if $processor_params.language == "pl"}selected="selected"{/if}>Польский (CET)</option>*}
{*            <option value="pt" {if $processor_params.language == "pt"}selected="selected"{/if}>Португальский (CET)</option>*}
{*            <option value="uz" {if $processor_params.language == "uz"}selected="selected"{/if}>Узбекский (UZT)</option>*}
        </select>
    </div>
</div>

<div class="control-group">
    <label class="control-label" for="vtbpayments_currency">{__("currency")}:</label>
    <div class="controls">
        <select name="payment_data[processor_params][currency]" id="vtbpayments_currency">
            <option value="RUB" {if $processor_params.currency == "RUB"}selected="selected"{/if}>Российский рубль </option>
{*            <option value="EUR" {if $processor_params.currency == "EUR"}selected="selected"{/if}>Евро </option>*}
{*            <option value="USD" {if $processor_params.currency == "USD"}selected="selected"{/if}>Доллар США </option>*}
{*            <option value="GBP" {if $processor_params.currency == "GBP"}selected="selected"{/if}>Фунт стерлингов </option>*}
{*            <option value="UAH" {if $processor_params.currency == "UAH"}selected="selected"{/if}>Украинская гривна </option>*}
{*            <option value="BYN" {if $processor_params.currency == "BYN"}selected="selected"{/if}>Белорусский рубль </option>*}
{*            <option value="KZT" {if $processor_params.currency == "KZT"}selected="selected"{/if}>Казахский тенге </option>*}
{*            <option value="AZN" {if $processor_params.currency == "AZN"}selected="selected"{/if}>Азербайджанский манат </option>*}
{*            <option value="CHF" {if $processor_params.currency == "CHF"}selected="selected"{/if}>Швейцарский франк </option>*}
{*            <option value="CZK" {if $processor_params.currency == "CZK"}selected="selected"{/if}>Чешская крона </option>*}
{*            <option value="CAD" {if $processor_params.currency == "CAD"}selected="selected"{/if}>Канадский доллар </option>*}
{*            <option value="PLN" {if $processor_params.currency == "PLN"}selected="selected"{/if}>Польский злотый </option>*}
{*            <option value="SEK" {if $processor_params.currency == "SEK"}selected="selected"{/if}>Шведская крона </option>*}
{*            <option value="TRY" {if $processor_params.currency == "TRY"}selected="selected"{/if}>Турецкая лира </option>*}
{*            <option value="CNY" {if $processor_params.currency == "CNY"}selected="selected"{/if}>Китайский юань </option>*}
{*            <option value="INR" {if $processor_params.currency == "INR"}selected="selected"{/if}>Индийская рупия </option>*}
{*            <option value="BRL" {if $processor_params.currency == "BRL"}selected="selected"{/if}>Бразильский реал </option>*}
{*            <option value="ZAL" {if $processor_params.currency == "ZAL"}selected="selected"{/if}>Южноафриканский рэнд </option>*}
{*            <option value="UZS" {if $processor_params.currency == "UZS"}selected="selected"{/if}>Узбекский сум </option>*}
        </select>
    </div>
</div>

{include file="common/subheader.tpl" title=__("vtbpayments_text_status_map") target="#text_status_map"}

<div id="text_status_map" class="in collapse">
    {assign var="statuses" value=$smarty.const.STATUSES_ORDER|fn_get_simple_statuses}

    <div class="control-group">
        <label class="control-label" for="vtbpayments_status_paid">{__("vtbpayments_status.paid")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][statuses][paid]" id="vtbpayments_status_paid">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}" {if (isset($processor_params.statuses.paid) && $processor_params.statuses.paid == $k) || (!isset($processor_params.statuses.paid) && $k == 'P')}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="vtbpayments_status_confirm">{__("vtbpayments_status.confirm")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][statuses][confirm]" id="vtbpayments_status_confirm">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}" {if (isset($processor_params.statuses.confirm) && $processor_params.statuses.confirm == $k) || (!isset($processor_params.statuses.confirm) && $k == 'P')}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="vtbpayments_status_failed">{__("vtbpayments_status.failed")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][statuses][failed]" id="vtbpayments_status_failed">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}" {if (isset($processor_params.statuses.failed) && $processor_params.statuses.failed == $k) || (!isset($processor_params.statuses.failed) && $k == 'F')}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="vtbpayments_status_refunded">{__("vtbpayments_status.refunded")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][statuses][refunded]" id="vtbpayments_status_refunded">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}" {if (isset($processor_params.statuses.refunded) && $processor_params.statuses.refunded == $k) || (!isset($processor_params.statuses.refunded) && $k == 'E')}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>
    <div class="control-group">
        <label class="control-label" for="vtbpayments_status_cancel">{__("vtbpayments_status.cancel")}:</label>
        <div class="controls">
            <select name="payment_data[processor_params][statuses][cancel]" id="vtbpayments_status_cancel">
                {foreach from=$statuses item="s" key="k"}
                    <option value="{$k}" {if (isset($processor_params.statuses.cancel) && $processor_params.statuses.cancel == $k) || (!isset($processor_params.statuses.cancel) && $k == 'D')}selected="selected"{/if}>{$s}</option>
                {/foreach}
            </select>
        </div>
    </div>
</div>
